%program defining initial conditions

T = 30; %initial temperature
eps = 0; %initial strain
time = 0; %counter

sig = 0; % initial stress (for stress control mode)

ksi_i = 0.0001; %initial volume fraction of martensite
eps_tr = 0.0005; %initial transf. strain of martensite 
ksi_R = 0.01; %initial R-phase

internal_variables.ksi = ksi_i;
internal_variables.eps_tr = eps_tr;
internal_variables.ksi_R = ksi_R;

% variables where results are stored:
eps_all =   [];
ksi_all = [];
ksi_R_all = [];
sig_all =   [];   
eps_tr_all  = []; 
T_all  =    [];
time_all = [];

set(h(4),'Enable','off');
reset = 0;