function n = norm_e2(e);
global K a
%transformation strain in Kelvin notation:[e11; e22; e33; sqrt(2)*e23; sqrt(2)*e13; sqrt(2)*e12]
In2 = (2/3*(sum(e.*e)))^0.5;
Determ_e = e(1)*e(2)*e(3) + e(4)*e(5)*e(6)/2^0.5 - e(2)*e(5)*e(5)/2 ...
            - e(3)*e(6)*e(6)/2 - e(1)*e(4)*e(4)/2;
if In2 > 1e-6,
        In3 = 4*Determ_e/In2^3;
else
    In3 = 1;
end;

n = In2/K*cos((acos(1 - a.*(In3+1)))./3)/cos(acos(1 - 2*a)/3);
return