figure
switch n_plot
    case 1
        plot(eps_all.*100,sig_all,'r','linewidth',2); hold on
        grid on;
        title('\sigma-\epsilon','FontWeight','bold','FontSize',12);
        xlabel('\epsilon [%]','FontSize',10)
        ylabel('\sigma [MPa]','FontSize',10)
        xlim('auto')
        ylim('auto')
    case 2
        plot(T_all,sig_all,'r','linewidth',2); hold on
        grid on;
        title('\sigma-T','FontWeight','bold','FontSize',12);
        xlabel('T [K]','FontSize',10)
        ylabel('\sigma [MPa]','FontSize',10)
        xlim('auto')
        ylim('auto')
    case 3
        plot(time_all,ksi_all,'r','linewidth',2); hold on
        plot(time_all,eps_tr_all./K,'g','linewidth',2)
        plot(time_all,ksi_R_all,'k','linewidth',2)
        title('Evolution of internal variables','FontWeight','bold','FontSize',12);
        xlabel('time [1]','FontSize',10)
        ylabel('\xi [r] \xi_R [k] \epsilon_{tr} [g]','FontSize',10)
        xlim('auto')
        ylim('auto')
        grid on;
    case 4 
        plot(T_all-32,eps_all.*100,'r','linewidth',2); hold on
        title('\epsilon - T','FontWeight','bold','FontSize',12);
        xlabel('T [K]','FontSize',10)
        ylabel('\epsilon [%]','FontSize',10)
        xlim('auto')
        ylim('auto') 
        grid on;
 end